#include "AWError.h"

#include <stdlib.h>
#include <string.h>

_Thread_local AW_errno AW_errnum;

const char *AW_strerror(AW_errno errnum) {
  if (errnum == AW_ERR_SYS) return strerror(errno);

  switch (errnum) {
#define XX(n, s) \
  case AW_##n:   \
    return #s;
    AW_ERRNO_MAP(XX)

#undef XX
    default:
      return "<unknown>";
  }
}

const char *AW_ERR_desc(AW_errno errnum) { return AW_strerror(errnum); }
